freebsd-ports/misc/pdmenu/files/patch-ab
Jeremy Messenger da7a2061d1 Update to 1.2.85.
PR:		ports/67876
Submitted by:	Jacques Marneweck <jacques@maquis.powertrip.co.za> (maintainer)
2004-06-17 06:18:52 +00:00

197 lines
5.5 KiB
Text

--- configure.old Fri Jun 11 20:27:26 2004
+++ configure Sat Jun 12 16:03:51 2004
@@ -6442,6 +6442,92 @@
CFLAGS="-L$SLANG_LIB_LOC $CFLAGS"
fi
+Terminfo_Dirs="/usr/lib/terminfo \
+ /usr/share/lib/terminfo \
+ /usr/local/lib/terminfo"
+TERMCAP=yes
+echo "$as_me:$LINENO: checking for terminfo" >&5
+echo $ECHO_N "checking for terminfo... $ECHO_C" >&6
+for terminfo_dir in $Terminfo_Dirs
+do
+ if test -d $terminfo_dir; then
+ echo "$as_me:$LINENO: result: found" >&5
+echo "${ECHO_T}found" >&6
+ TERMCAP=""
+ break
+ fi
+done
+if test "$TERMCAP"; then
+ echo "$as_me:$LINENO: result: not found" >&5
+echo "${ECHO_T}not found" >&6
+
+echo "$as_me:$LINENO: checking for tgetent in -ltermcap" >&5
+echo $ECHO_N "checking for tgetent in -ltermcap... $ECHO_C" >&6
+if test "${ac_cv_lib_termcap_tgetent+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-ltermcap $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char tgetent ();
+int
+main ()
+{
+tgetent ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_cv_lib_termcap_tgetent=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_termcap_tgetent=no
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_termcap_tgetent" >&5
+echo "${ECHO_T}$ac_cv_lib_termcap_tgetent" >&6
+if test $ac_cv_lib_termcap_tgetent = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBTERMCAP 1
+_ACEOF
+
+ LIBS="-ltermcap $LIBS"
+
+fi
+
+ # Note that if this fails, we continue and make probably dies with
+ # an error. Unless terminfo is hiding somewhere else..
+fi
+
echo "$as_me:$LINENO: checking for SLsig_block_signals in -lslang" >&5
echo $ECHO_N "checking for SLsig_block_signals in -lslang... $ECHO_C" >&6
@@ -8095,101 +8181,6 @@
{ echo "$as_me:$LINENO: WARNING: pdmenu will be built without GPM mouse support." >&5
echo "$as_me: WARNING: pdmenu will be built without GPM mouse support." >&2;}
fi
-fi
-
-Terminfo_Dirs="/usr/lib/terminfo \
- /usr/share/lib/terminfo \
- /usr/local/lib/terminfo"
-TERMCAP=yes
-echo "$as_me:$LINENO: checking for terminfo" >&5
-echo $ECHO_N "checking for terminfo... $ECHO_C" >&6
-for terminfo_dir in $Terminfo_Dirs
-do
- if test -d $terminfo_dir; then
- echo "$as_me:$LINENO: result: found" >&5
-echo "${ECHO_T}found" >&6
- TERMCAP=""
- break
- fi
-done
-if test "$TERMCAP"; then
- echo "$as_me:$LINENO: result: not found" >&5
-echo "${ECHO_T}not found" >&6
-
-echo "$as_me:$LINENO: checking for tgetent in -ltermcap" >&5
-echo $ECHO_N "checking for tgetent in -ltermcap... $ECHO_C" >&6
-if test "${ac_cv_lib_termcap_tgetent+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltermcap $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-
-/* Override any gcc2 internal prototype to avoid an error. */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
-char tgetent ();
-int
-main ()
-{
-tgetent ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_termcap_tgetent=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_lib_termcap_tgetent=no
-fi
-rm -f conftest.err conftest.$ac_objext \
- conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_termcap_tgetent" >&5
-echo "${ECHO_T}$ac_cv_lib_termcap_tgetent" >&6
-if test $ac_cv_lib_termcap_tgetent = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBTERMCAP 1
-_ACEOF
-
- LIBS="-ltermcap $LIBS"
-
-fi
-
- # Note that if this fails, we continue and make probably dies with
- # an error. Unless terminfo is hiding somewhere else..
fi
# Extract the first word of "date", so it can be a program name with args.